Subject: Re: bug#24353: 25.1.1: looking-back wrong info

From: Dmitry Gutov <[email-masked]>
Date: Fri, 2 Sep 2016 23:10:02 +0300

On 02.09.2016 20:51, Drew Adams wrote:

> How does this change help Emacs users?

It forces Emacs Lisp programmers to include the last argument, thus 
making their code likely faster. Users like faster programs.

> If it is so important that people provide LIMIT then spell
> that out _explicitly_ in the doc as a recommendation.

That's very easy to miss. And like Eli said, the choice was between this 
and _actually_ changing the signature. I imagine you would like the 
latter choice even less.

> It
> should be a no-no to just change the advertized signature of
> a function, without changing the actual signature (code) and
> without otherwise changing the doc.

You have some point there, but mentioning the last argument in the 
docstring would be rather awkward, considering it's absent in the 
advertised signature.